Subject: [sipcore] draft-ietf-straw-sip-traceroute-01: WGLC comments

From: Brett Tate <[email-masked]>
Date: Wed, 11 Dec 2013 16:42:28 +0000

Hi,

The following are some comments concerning draft-ietf-straw-sip-traceroute-01.

Thanks,
Brett

-------

Section 3:

- B2bua-Hops should be Max-Forwards.

Section 3.2 paragraph 1:

- Potentially could clarify that the middle box is answering because of Max-Forwards 0 (instead of answering for another reason).

Section 3.2 paragraph 2:

- As discussed within the following email, I agree that requiring a specific reason-text value might not desirable.  This is because I view the text parameter to be similar to the status-line's reason-phrase.  If something is needed instead of just 483 for automation reasons, the reason-params potentially could be expanded to include a new parameter such as "traceroute".

http://www.ietf.org/mail-archive/web/straw/current/msg00194.html

Section 7:

- [RFC3261] should be added; it is referenced within section 3.1.

This email is intended solely for the person or entity to which it is addressed and may contain confidential and/or privileged information. If you are not the intended recipient and have received this email in error, please notify BroadSoft, Inc. immediately by replying to this message, and destroy all copies of this message, along with any attachment, prior to reading, distributing or copying it.